Vision is designed to be used with the latest major versions of the following browsers:

  • Google Chrome v71.0 or better
  • Safari v12.0 or better
  • Firefox v63.0 or better 

We cannot guarantee that you will experience peak performance if you are not using the latest major version of these browsers. 

Additional Information 

  • Other browsers may work when using Vision, but are not actively supported by our product. 
Did this answer your question?